/*******************************************************************************
 *
 * Globaj $.ajax configuration for whole project
 *
 * @author Tomasz Scislo <<ahref='mailto:t.scislo@samsung.com'>t.scislo@samsung.com</a>>
 *
 *
 * **************************************************************************************
 *
 * Copyright (c) 2012 Samsung Electronics All Rights Reserved.
 *
 ******************************************************************************/
$.ajaxSetup({
    type : "GET",
    timeout : 90000,
    crossDomain : false,
    dataType : "json",
    cache : false,
    async : true,
    beforeSend : function(XMLHttpRequest) {
        $.mobile.loading('show', {
            theme : "d"
        });
    },

    complete : function(XMLHttpRequest, status) {
        logger.info("AJAX|INFO", "Complete");
        $.mobile.loading('hide');
    },

    success : function() {
        logger.info("AJAX|INFO", "Success");
    },

    error : function(err) {
        logger.err("AJAX|INFO", "Error", err);
        view.showPopup("Server request error");
    }
});