/*******************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************
 *
 * @author Karolina Krolik <<ahref='mailto:k.krolik@samsung.com'>k.krolik@samsung.com</a>>, Tadeusz Wlodarkiewicz <<ahref='mailto:t.wlodarkiew@samsung.com'>t.wlodarkiew@samsung.com</a>>
 *
 *
 * ********************************************************************************************************
 *
 * Copyright (c) 2012 Samsung Electronics All Rights Reserved.
 *
 ******************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/

/**
 * Displays game results
 */
results = function($) {

    var resultsPageId = "results";

    return {

        /**
         * Creates and displays result
         *
         * @param result
         *            to be displayed
         */
        initialize : function(result) {

            $.mobile.changePage('#' + resultsPageId);
            $("#result").html(
                    '<b><div style="text-align:center">Results</b><br><br>Player '
                            + playerColors[result[0]] + ' wins!</div><br><br>Blue player: '
                            + result[1] + ' meters<br>Red player: ' + result[2] + ' meters<br>');
            $.mobile.changePage('#' + resultsPageId);
        }
    };
}($);
